:root {
    --naranja: #fd500c;
    --gris: #e1e1e1;
    --grisOscuro: #a3a1a1;
    --blanco: #ffffff;
    --negro: #000000;
    --fuente:'Poppins', sans-serif;

  }
  
  html {
    font-size: 62.5%;
    box-sizing: border-box;
  }
  
  *,
  *:before,
  *:after {
    box-sizing: inherit;
  }
  
  body {
   
    font-size: 1.6rem;
    line-height: 2;
    background-color: var(--gris);


  }
  
  a {
    text-decoration: none;
  }
  
  h1,
  h2,
  h3,
  h4 {
    font-family: var(--fuenteHeading);
    line-height: 1.2;
  }
  
  h1 {
    font-size: 4.8rem;
  }
  
  h2 {
    font-size: 4rem;
  }
  
  h3 {
    font-size: 3.2rem;
  }
  
  h4 {
    font-size: 2.8rem;
  }
  
  img {
    max-width: 100%;
  }
  

  
  .contenedor {
    height: 100vh;
    background-color: var(--gris);
    width: 100%;
    display: grid;
    place-content: center;
  }
  
  .number {
    background-color: var(--negro);
    color: var(--blanco);
  }
  
  .boton {
    cursor: pointer;
    padding: 0;
    font-size: 1.5em;
   
    border:  none;
    border-radius: 1rem;
    font-family: var(--fuente);
    font-weight: bold;
  }
  
  .comp {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 2rem;
    width: 100%;
    cursor: pointer;
    width: 8rem;
    padding: 0;
    font-size: 1.5em;
    border-radius: 1rem;
  }
  
.campo_oculto{
background-color: var(--negro);
width: 30rem;
padding: 1rem;
border-radius: 3rem;

}

  .division{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    background-color: var(--negro);
  }

  
  input[type="text"] {
   width: 100%;
    display: grid;
    grid-template-columns: repeat(2,1fr);
    border: none;
    background-color: var(--negro);
    color: var(--blanco);
    margin: auto;
    font-family: var(--fuente);
    font-size: 2rem;
  font-weight: bold;
    
  }

  .simb{
    color: var(--naranja);
  }
  
.boton:hover{
    background-color: white;
    color: black;
    transition: 0.3s;
}
  
.boton:active{
    background-color: orange
}
